<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cyhal__quaddec_8h" kind="file" language="C++">
    <compoundname>cyhal_quaddec.h</compoundname>
    <includes local="no">stdint.h</includes>
    <includes local="no">stdbool.h</includes>
    <includes local="yes" refid="cy__result_8h">cy_result.h</includes>
    <includes local="yes" refid="cyhal__hw__types_8h">cyhal_hw_types.h</includes>
    <includedby local="yes" refid="cyhal__drivers_8h">cyhal_drivers.h</includedby>
    <includedby local="yes" refid="cyhal__quaddec_8c">cyhal_quaddec.c</includedby>
    <incdepgraph>
      <node id="325">
        <label>stdbool.h</label>
      </node>
      <node id="324">
        <label>stdint.h</label>
      </node>
      <node id="323">
        <label>cyhal_quaddec.h</label>
        <link refid="cyhal__quaddec_8h" />
        <childnode refid="324" relation="include">
        </childnode>
        <childnode refid="325" relation="include">
        </childnode>
      </node>
    </incdepgraph>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__quaddec_1gacc58c62a9186dd35d771c75886b7ad7d" kind="define" prot="public" static="no">
        <name>CYHAL_QUADDEC_RSLT_ERR_BAD_ARGUMENT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4f1d56292f0da9d3cdfa3cea392f304">CYHAL_RSLT_MODULE_QUADDEC</ref>, 0))</initializer>
        <briefdescription>
<para>Bad argument. </para>        </briefdescription>
        <detaileddescription>
<para>eg: null pointer </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" bodystart="111" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="111" />
      </memberdef>
      <memberdef id="group__group__hal__results__quaddec_1ga4f66b654ef3e4596c5a250132d95bd18" kind="define" prot="public" static="no">
        <name>CYHAL_QUADDEC_RSLT_ERR_CLOCK_INIT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4f1d56292f0da9d3cdfa3cea392f304">CYHAL_RSLT_MODULE_QUADDEC</ref>, 1))</initializer>
        <briefdescription>
<para>Failed to initialize the quadrature decoder clock. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" bodystart="114" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="114" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="enum">
      <memberdef id="group__group__hal__quaddec_1gab7b90604bd19ab052a029de2f85355f8" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_quaddec_resolution_t</name>
        <enumvalue id="group__group__hal__quaddec_1ggab7b90604bd19ab052a029de2f85355f8a4bcfcf54ae835dd2d021f4feb21b9b17" prot="public">
          <name>CYHAL_QUADDEC_RESOLUTION_1X</name>
          <briefdescription>
<para>1x resolution </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__quaddec_1ggab7b90604bd19ab052a029de2f85355f8a23e604c65505f63e71791a55697152b8" prot="public">
          <name>CYHAL_QUADDEC_RESOLUTION_2X</name>
          <briefdescription>
<para>2x resolution </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__quaddec_1ggab7b90604bd19ab052a029de2f85355f8a3f74e6d45ac7098b3964415801e3c3c9" prot="public">
          <name>CYHAL_QUADDEC_RESOLUTION_4X</name>
          <briefdescription>
<para>4x resolution </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_quaddec_resolution_t: </bold><linebreak />Operating resolutions for the quadrature decoder.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="131" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" bodystart="126" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="127" />
      </memberdef>
      <memberdef id="group__group__hal__quaddec_1ga46260f3f241adbdd8453dbd9b6b94024" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_quaddec_input_t</name>
        <enumvalue id="group__group__hal__quaddec_1gga46260f3f241adbdd8453dbd9b6b94024a093dbd073f88eaef20f56057ccc879cd" prot="public">
          <name>CYHAL_QUADDEC_INPUT_PHI_A</name>
          <briefdescription>
<para>The "A" input of the quadrature decoder. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__quaddec_1gga46260f3f241adbdd8453dbd9b6b94024a12297c334f5e721cfb277abe432b82ea" prot="public">
          <name>CYHAL_QUADDEC_INPUT_PHI_B</name>
          <briefdescription>
<para>The "B" input of the quadrature decoder. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__quaddec_1gga46260f3f241adbdd8453dbd9b6b94024a3553fa02763b19f7688bd02b9da9684a" prot="public">
          <name>CYHAL_QUADDEC_INPUT_INDEX</name>
          <briefdescription>
<para>A reference signal that resets the counter when activated. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__quaddec_1gga46260f3f241adbdd8453dbd9b6b94024a8613df613753ab43c306d83798e6fe11" prot="public">
          <name>CYHAL_QUADDEC_INPUT_STOP</name>
          <briefdescription>
<para>Stops the counter from counting when activated. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_quaddec_input_t: </bold><linebreak />Different input signals for the quadrature decoder that can be connected to.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="140" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" bodystart="134" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="135" />
      </memberdef>
      <memberdef id="group__group__hal__quaddec_1gadc0da8aaf1025dd0e60c36be048950ec" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>cyhal_quaddec_event_t</name>
        <enumvalue id="group__group__hal__quaddec_1ggadc0da8aaf1025dd0e60c36be048950eca21c6d9813a76c6397d95d29d925a7e26" prot="public">
          <name>CYHAL_QUADDEC_IRQ_NONE</name>
          <initializer>= 0</initializer>
          <briefdescription>
<para>No interrupt handled. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__quaddec_1ggadc0da8aaf1025dd0e60c36be048950eca2f34ea17712071a2494ff3d129490f88" prot="public">
          <name>CYHAL_QUADDEC_IRQ_TERMINAL_COUNT</name>
          <initializer>= (1 &lt;&lt; 0)</initializer>
          <briefdescription>
<para>Interrupt when terminal count is reached. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__quaddec_1ggadc0da8aaf1025dd0e60c36be048950eca58a9457288d89e396df8829ee4078b64" prot="public">
          <name>CYHAL_QUADDEC_IRQ_CAPTURE</name>
          <initializer>= (1 &lt;&lt; 1)</initializer>
          <briefdescription>
<para>Interrupt when capture value is reached. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__hal__quaddec_1ggadc0da8aaf1025dd0e60c36be048950eca3f6b7e5f81445c05b4f46c59a285cb3e" prot="public">
          <name>CYHAL_QUADDEC_IRQ_ALL</name>
          <initializer>= (1 &lt;&lt; 2) - 1</initializer>
          <briefdescription>
<para>Interrupt on any event. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cyhal_quaddec_event_t: </bold><linebreak />Interrupt triggers for the quadrature decoder.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="149" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" bodystart="143" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="144" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="typedef">
      <memberdef id="group__group__hal__quaddec_1gabf20c93be5e5b47c224fbb3d70f70a05" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cyhal_quaddec_event_callback_t) (void *callback_arg, cyhal_quaddec_event_t event)</definition>
        <argsstring>)(void *callback_arg, cyhal_quaddec_event_t event)</argsstring>
        <name>cyhal_quaddec_event_callback_t</name>
        <briefdescription>
<para>Handler for quadrature decoder events. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" bodystart="156" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="156" />
      </memberdef>
      </sectiondef>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__hal__quaddec_1gab9ef0a9e37021273f9f013acb8a3ca33" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_quaddec_init</definition>
        <argsstring>(cyhal_quaddec_t *obj, cyhal_gpio_t phi_a, cyhal_gpio_t phi_b, cyhal_gpio_t index, cyhal_quaddec_resolution_t resolution, const cyhal_clock_t *clk, uint32_t frequency)</argsstring>
        <name>cyhal_quaddec_init</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>phi_a</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>phi_b</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref></type>
          <declname>index</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__quaddec_1gab7b90604bd19ab052a029de2f85355f8">cyhal_quaddec_resolution_t</ref></type>
          <declname>resolution</declname>
        </param>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref> *</type>
          <declname>clk</declname>
        </param>
        <param>
          <type>uint32_t</type>
          <declname>frequency</declname>
        </param>
        <briefdescription>
<para>Initialize the quadrature decoder peripheral and configure the pin. </para>        </briefdescription>
        <detaileddescription>
<para><linebreak />
 See <ref kindref="member" refid="group__group__hal__quaddec_1subsection_quaddec_snippet_1">Snippet 1: Initialization and direction detection</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="out">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to a quadrature decoder object. The caller must allocate the memory for this object but the init function will initialize its contents. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">phi_a</parametername>
</parameternamelist>
<parameterdescription>
<para>- The "A" input of the quadrature decoder. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">phi_b</parametername>
</parameternamelist>
<parameterdescription>
<para>- The "B" input of the quadrature decoder. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">index</parametername>
</parameternamelist>
<parameterdescription>
<para>- Optional, resets the counter when active to act as a reference position for the quadrature decoder. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">resolution</parametername>
</parameternamelist>
<parameterdescription>
<para>- The resolution that the quadrature decoder runs at </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">clk</parametername>
</parameternamelist>
<parameterdescription>
<para>- Optional, the shared clock to use, if not provided a new clock will be allocated and the quadrature decoder frequency will be set to the value passed in with the frequency parameter. </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">frequency</parametername>
</parameternamelist>
<parameterdescription>
<para>- This parameter is only used if the clk parameter is set to NULL. This is the frequency, in hertz, to use with the clock allocated by this function. </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the init request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="230" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_quaddec.c" bodystart="88" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="180" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__quaddec_1ga26c25f3f1d39e4fec61406716b350d38" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_quaddec_free</definition>
        <argsstring>(cyhal_quaddec_t *obj)</argsstring>
        <name>cyhal_quaddec_free</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Deinitialize the quadrature decoder object. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="inout">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The quadrature decoder object </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="239" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_quaddec.c" bodystart="232" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="188" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__quaddec_1ga8fc53534a07e2977fc2a433d92caeb8f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_quaddec_start</definition>
        <argsstring>(cyhal_quaddec_t *obj)</argsstring>
        <name>cyhal_quaddec_start</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Starts the quadrature decoder. </para>        </briefdescription>
        <detaileddescription>
<para>This function also acts as a reset, in that it will trigger reload/index the QuadDec. When this function is called, the count value gets stored in the capture register and the count value is returned to the mid point. For example, if the hardware has 16-bit resolution, the midpoint would be 0x8000. For 32-bit resolution: 0x80000000. See <ref kindref="member" refid="group__group__hal__quaddec_1subsection_quaddec_snippet_1">Snippet 1: Initialization and direction detection</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The quadrature decoder object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the start request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="262" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_quaddec.c" bodystart="241" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="199" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__quaddec_1ga9a3bc3f085276aeb12bc06dd4e2d445d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_quaddec_stop</definition>
        <argsstring>(cyhal_quaddec_t *obj)</argsstring>
        <name>cyhal_quaddec_stop</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Stops the quadrature decoder. </para>        </briefdescription>
        <detaileddescription>
<para>Does not reset counter value. <linebreak />
</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The quadrature decoder object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the stop request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="269" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_quaddec.c" bodystart="264" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="206" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__quaddec_1ga07fb25d61894db9ca0e9b00f1876f79a" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>int32_t</type>
        <definition>int32_t cyhal_quaddec_get_delta</definition>
        <argsstring>(cyhal_quaddec_t *obj)</argsstring>
        <name>cyhal_quaddec_get_delta</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Gets the change in the quadrature decoder counter, either positive or negative, since the last time that this function was called. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is not intended for applications requiring high speed or high accuracy such as getting motor positions. It is intended for applications involving devices like radial dials.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The quadrature decoder object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The amount that the counter has changed </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="297" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_quaddec.c" bodystart="271" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="217" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__quaddec_1ga7b3adb4bcbbdf79d5cae28fdc3c028a3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_quaddec_read_counter</definition>
        <argsstring>(const cyhal_quaddec_t *obj)</argsstring>
        <name>cyhal_quaddec_read_counter</name>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Reads the current value from the quadrature decoder <linebreak />
 The read operation works even if the counter is stopped. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="member" refid="group__group__hal__quaddec_1subsection_quaddec_snippet_1">Snippet 1: Initialization and direction detection</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The quadrature decoder object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current value of the quadrature decoder counter register </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="303" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_quaddec.c" bodystart="299" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="226" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__quaddec_1gacf324402df53900aca35e45f7f51e9a2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint32_t</type>
        <definition>uint32_t cyhal_quaddec_read_capture</definition>
        <argsstring>(const cyhal_quaddec_t *obj)</argsstring>
        <name>cyhal_quaddec_read_capture</name>
        <param>
          <type>const <ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Reads the value from the quadrature decoder's capture register <linebreak />
 This function does not clear the counter value. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The quadrature decoder object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The current value of the quadrature decoder capture register </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="313" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_quaddec.c" bodystart="305" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="234" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__quaddec_1gae34acc1d3fcf2338063bc4f46901c130" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_quaddec_register_callback</definition>
        <argsstring>(cyhal_quaddec_t *obj, cyhal_quaddec_event_callback_t callback, void *callback_arg)</argsstring>
        <name>cyhal_quaddec_register_callback</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__quaddec_1gabf20c93be5e5b47c224fbb3d70f70a05">cyhal_quaddec_event_callback_t</ref></type>
          <declname>callback</declname>
        </param>
        <param>
          <type>void *</type>
          <declname>callback_arg</declname>
        </param>
        <briefdescription>
<para>Register a quadrature decoder callback handler<linebreak />
 This function does not clear the counter value. </para>        </briefdescription>
        <detaileddescription>
<para>This function will be called when one of the events enabled by <ref kindref="member" refid="group__group__hal__quaddec_1ga5e4706c512360caa4048870ce587ef95">cyhal_quaddec_enable_event</ref> occurs.</para><para>See <ref kindref="member" refid="group__group__hal__quaddec_1subsection_quaddec_snippet_2">Snippet 2: Handling an event in a callback function</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The quadrature decoder object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback</parametername>
</parameternamelist>
<parameterdescription>
<para>The callback handler which will be invoked when the event occurs </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">callback_arg</parametername>
</parameternamelist>
<parameterdescription>
<para>Generic argument that will be provided to the callback when called </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="248" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__quaddec_1ga5e4706c512360caa4048870ce587ef95" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void cyhal_quaddec_enable_event</definition>
        <argsstring>(cyhal_quaddec_t *obj, cyhal_quaddec_event_t event, uint8_t intr_priority, bool enable)</argsstring>
        <name>cyhal_quaddec_enable_event</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__quaddec_1gadc0da8aaf1025dd0e60c36be048950ec">cyhal_quaddec_event_t</ref></type>
          <declname>event</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>intr_priority</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>enable</declname>
        </param>
        <briefdescription>
<para>Configure quadrature decoder event enable <linebreak />
 </para>        </briefdescription>
        <detaileddescription>
<para>When an enabled event occurs, the function specified by <ref kindref="member" refid="group__group__hal__quaddec_1gae34acc1d3fcf2338063bc4f46901c130">cyhal_quaddec_register_callback</ref> will be called.</para><para>See <ref kindref="member" refid="group__group__hal__quaddec_1subsection_quaddec_snippet_2">Snippet 2: Handling an event in a callback function</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The quadrature decoder object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">event</parametername>
</parameternamelist>
<parameterdescription>
<para>The quadrature decoder event type </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">intr_priority</parametername>
</parameternamelist>
<parameterdescription>
<para>The priority for NVIC interrupt events </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">enable</parametername>
</parameternamelist>
<parameterdescription>
<para>True to turn on interrupts, False to turn off </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="263" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__quaddec_1gabda3824fe83f24cd06d26fff808ab853" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref> *</type>
        <definition>cyhal_resource_inst_t* cyhal_quaddec_get_resource</definition>
        <argsstring>(cyhal_quaddec_t *obj)</argsstring>
        <name>cyhal_quaddec_get_resource</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <briefdescription>
<para>Gets the physical chip resource that is consumed by the provided obj instance. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The quadrature decoder object </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The physical chip resource consumed by the provided instance obj </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="323" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_quaddec.c" bodystart="319" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="271" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__hal__quaddec_1gab136163486133a22e41b5d9a70f19eaf" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref></type>
        <definition>cy_rslt_t cyhal_quaddec_connect_digital</definition>
        <argsstring>(cyhal_quaddec_t *obj, cyhal_quaddec_input_t sig, cyhal_resource_t src_rsc, cyhal_signal_digital_out_t src_sig)</argsstring>
        <name>cyhal_quaddec_connect_digital</name>
        <param>
          <type><ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref> *</type>
          <declname>obj</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__quaddec_1ga46260f3f241adbdd8453dbd9b6b94024">cyhal_quaddec_input_t</ref></type>
          <declname>sig</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__impl__hw__types_1ga63b023ea7b5e73db59ddc0423c77975b">cyhal_resource_t</ref></type>
          <declname>src_rsc</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__hal__results_1ga6df5063be354515111d4f0b83d6128fc">cyhal_signal_digital_out_t</ref></type>
          <declname>src_sig</declname>
        </param>
        <briefdescription>
<para>Establishes a digital connection between the provided source signal and the referenced input on the current quadrature decoder instance. </para>        </briefdescription>
        <detaileddescription>
<para>The connection requires internal routing resources which are device specific. Not all connections are possible. Refer to the device datasheet to determine what all is possible.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">obj</parametername>
</parameternamelist>
<parameterdescription>
<para>The quadrature decoder object </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">sig</parametername>
</parameternamelist>
<parameterdescription>
<para>The signal on the quadrature decoder to connect to </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">src_rsc</parametername>
</parameternamelist>
<parameterdescription>
<para>The source resource providing the output signal to connect to </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">src_sig</parametername>
</parameternamelist>
<parameterdescription>
<para>The source signal from the provided resource to connect to </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>The status of the connect_digital request </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="336" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/source/cyhal_quaddec.c" bodystart="325" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="284" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides a high level interface for interacting with the Quadrature Decoder. </para>    </briefdescription>
    <detaileddescription>
<para>This interface abstracts out the chip specific details. If any chip specific functionality is necessary, or performance is critical the low level functions can be used directly.</para><para><simplesect kind="copyright"><para>Copyright 2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="92"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="93"><highlight class="normal" /></codeline>
<codeline lineno="94"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdint.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="95"><highlight class="normal" /><highlight class="preprocessor">#include<sp />&lt;stdbool.h&gt;</highlight><highlight class="normal" /></codeline>
<codeline lineno="96"><highlight class="normal" /></codeline>
<codeline lineno="97"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cy_result.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="98"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"cyhal_hw_types.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="99"><highlight class="normal" /></codeline>
<codeline lineno="100"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="101"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="102"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="103"><highlight class="normal" /></codeline>
<codeline lineno="111"><highlight class="preprocessor">#define<sp />CYHAL_QUADDEC_RSLT_ERR_BAD_ARGUMENT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="112"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_QUADDEC,<sp />0))</highlight><highlight class="normal" /></codeline>
<codeline lineno="113"><highlight class="normal" /></codeline>
<codeline lineno="114"><highlight class="preprocessor">#define<sp />CYHAL_QUADDEC_RSLT_ERR_CLOCK_INIT<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="115"><highlight class="preprocessor"><sp /><sp /><sp /><sp />(CYHAL_RSLT_CREATE(CY_RSLT_TYPE_ERROR,<sp />CYHAL_RSLT_MODULE_QUADDEC,<sp />1))</highlight><highlight class="normal" /></codeline>
<codeline lineno="116"><highlight class="normal" /></codeline>
<codeline lineno="121"><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="122"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Enumerations</highlight></codeline>
<codeline lineno="123"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="124"><highlight class="normal" /></codeline>
<codeline lineno="126"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal">{</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__quaddec_1ggab7b90604bd19ab052a029de2f85355f8a4bcfcf54ae835dd2d021f4feb21b9b17">CYHAL_QUADDEC_RESOLUTION_1X</ref>,<sp /></highlight></codeline>
<codeline lineno="129"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__quaddec_1ggab7b90604bd19ab052a029de2f85355f8a23e604c65505f63e71791a55697152b8">CYHAL_QUADDEC_RESOLUTION_2X</ref>,<sp /></highlight></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__quaddec_1ggab7b90604bd19ab052a029de2f85355f8a3f74e6d45ac7098b3964415801e3c3c9">CYHAL_QUADDEC_RESOLUTION_4X</ref><sp /><sp /></highlight></codeline>
<codeline lineno="131"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__quaddec_1gab7b90604bd19ab052a029de2f85355f8">cyhal_quaddec_resolution_t</ref>;</highlight></codeline>
<codeline lineno="132"><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal">{</highlight></codeline>
<codeline lineno="136"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__quaddec_1gga46260f3f241adbdd8453dbd9b6b94024a093dbd073f88eaef20f56057ccc879cd">CYHAL_QUADDEC_INPUT_PHI_A</ref>,<sp /><sp /></highlight></codeline>
<codeline lineno="137"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__quaddec_1gga46260f3f241adbdd8453dbd9b6b94024a12297c334f5e721cfb277abe432b82ea">CYHAL_QUADDEC_INPUT_PHI_B</ref>,<sp /><sp /></highlight></codeline>
<codeline lineno="138"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__quaddec_1gga46260f3f241adbdd8453dbd9b6b94024a3553fa02763b19f7688bd02b9da9684a">CYHAL_QUADDEC_INPUT_INDEX</ref>,<sp /><sp /></highlight></codeline>
<codeline lineno="139"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__quaddec_1gga46260f3f241adbdd8453dbd9b6b94024a8613df613753ab43c306d83798e6fe11">CYHAL_QUADDEC_INPUT_STOP</ref><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="140"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__quaddec_1ga46260f3f241adbdd8453dbd9b6b94024">cyhal_quaddec_input_t</ref>;</highlight></codeline>
<codeline lineno="141"><highlight class="normal" /></codeline>
<codeline lineno="143"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="144"><highlight class="normal">{</highlight></codeline>
<codeline lineno="145"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__quaddec_1ggadc0da8aaf1025dd0e60c36be048950eca21c6d9813a76c6397d95d29d925a7e26">CYHAL_QUADDEC_IRQ_NONE</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />0,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="146"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__quaddec_1ggadc0da8aaf1025dd0e60c36be048950eca2f34ea17712071a2494ff3d129490f88">CYHAL_QUADDEC_IRQ_TERMINAL_COUNT</ref><sp /><sp />=<sp />(1<sp />&lt;&lt;<sp />0),<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="147"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__quaddec_1ggadc0da8aaf1025dd0e60c36be048950eca58a9457288d89e396df8829ee4078b64">CYHAL_QUADDEC_IRQ_CAPTURE</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(1<sp />&lt;&lt;<sp />1),<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="148"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__quaddec_1ggadc0da8aaf1025dd0e60c36be048950eca3f6b7e5f81445c05b4f46c59a285cb3e">CYHAL_QUADDEC_IRQ_ALL</ref><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />=<sp />(1<sp />&lt;&lt;<sp />2)<sp />-<sp />1,<sp /></highlight></codeline>
<codeline lineno="149"><highlight class="normal">}<sp /><ref kindref="member" refid="group__group__hal__quaddec_1gadc0da8aaf1025dd0e60c36be048950ec">cyhal_quaddec_event_t</ref>;</highlight></codeline>
<codeline lineno="150"><highlight class="normal" /></codeline>
<codeline lineno="151"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="152"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Typedefs</highlight></codeline>
<codeline lineno="153"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="154"><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp />void(*<ref kindref="member" refid="group__group__hal__quaddec_1gabf20c93be5e5b47c224fbb3d70f70a05">cyhal_quaddec_event_callback_t</ref>)(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg,<sp /><ref kindref="member" refid="group__group__hal__quaddec_1gadc0da8aaf1025dd0e60c36be048950ec">cyhal_quaddec_event_t</ref><sp />event);</highlight></codeline>
<codeline lineno="157"><highlight class="normal" /></codeline>
<codeline lineno="158"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="159"><highlight class="comment">*<sp /><sp /><sp /><sp /><sp /><sp /><sp />Functions</highlight></codeline>
<codeline lineno="160"><highlight class="comment">*******************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="161"><highlight class="normal" /></codeline>
<codeline lineno="180"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__quaddec_1gab9ef0a9e37021273f9f013acb8a3ca33">cyhal_quaddec_init</ref>(<ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />phi_a,<sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />phi_b,</highlight></codeline>
<codeline lineno="181"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__pin__package__psoc6__01__104__m__csp__ble_1ga707195ce0627016bf371643bdd9caa51">cyhal_gpio_t</ref><sp />index,<sp /><ref kindref="member" refid="group__group__hal__quaddec_1gab7b90604bd19ab052a029de2f85355f8">cyhal_quaddec_resolution_t</ref><sp />resolution,</highlight></codeline>
<codeline lineno="182"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__clock__t">cyhal_clock_t</ref><sp />*clk,<sp />uint32_t<sp />frequency);</highlight></codeline>
<codeline lineno="183"><highlight class="normal" /></codeline>
<codeline lineno="188"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__quaddec_1ga26c25f3f1d39e4fec61406716b350d38">cyhal_quaddec_free</ref>(<ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="189"><highlight class="normal" /></codeline>
<codeline lineno="199"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__quaddec_1ga8fc53534a07e2977fc2a433d92caeb8f">cyhal_quaddec_start</ref>(<ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="200"><highlight class="normal" /></codeline>
<codeline lineno="206"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__quaddec_1ga9a3bc3f085276aeb12bc06dd4e2d445d">cyhal_quaddec_stop</ref>(<ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="207"><highlight class="normal" /></codeline>
<codeline lineno="217"><highlight class="normal">int32_t<sp /><ref kindref="member" refid="group__group__hal__quaddec_1ga07fb25d61894db9ca0e9b00f1876f79a">cyhal_quaddec_get_delta</ref>(<ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="218"><highlight class="normal" /></codeline>
<codeline lineno="226"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__hal__quaddec_1ga7b3adb4bcbbdf79d5cae28fdc3c028a3">cyhal_quaddec_read_counter</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="227"><highlight class="normal" /></codeline>
<codeline lineno="234"><highlight class="normal">uint32_t<sp /><ref kindref="member" refid="group__group__hal__quaddec_1gacf324402df53900aca35e45f7f51e9a2">cyhal_quaddec_read_capture</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="235"><highlight class="normal" /></codeline>
<codeline lineno="248"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__quaddec_1gae34acc1d3fcf2338063bc4f46901c130">cyhal_quaddec_register_callback</ref>(<ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__quaddec_1gabf20c93be5e5b47c224fbb3d70f70a05">cyhal_quaddec_event_callback_t</ref><sp />callback,</highlight></codeline>
<codeline lineno="249"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />*callback_arg);</highlight></codeline>
<codeline lineno="250"><highlight class="normal" /></codeline>
<codeline lineno="263"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__hal__quaddec_1ga5e4706c512360caa4048870ce587ef95">cyhal_quaddec_enable_event</ref>(<ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__quaddec_1gadc0da8aaf1025dd0e60c36be048950ec">cyhal_quaddec_event_t</ref><sp />event,</highlight></codeline>
<codeline lineno="264"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint8_t<sp />intr_priority,<sp /></highlight><highlight class="keywordtype">bool</highlight><highlight class="normal"><sp />enable);</highlight></codeline>
<codeline lineno="265"><highlight class="normal" /></codeline>
<codeline lineno="271"><highlight class="normal"><ref kindref="compound" refid="structcyhal__resource__inst__t">cyhal_resource_inst_t</ref>*<sp /><ref kindref="member" refid="group__group__hal__quaddec_1gabda3824fe83f24cd06d26fff808ab853">cyhal_quaddec_get_resource</ref>(<ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref><sp />*obj);</highlight></codeline>
<codeline lineno="272"><highlight class="normal" /></codeline>
<codeline lineno="284"><highlight class="normal"><ref kindref="member" refid="group__group__result_1gaca79700fcc701534ce61778a9bcf57d1">cy_rslt_t</ref><sp /><ref kindref="member" refid="group__group__hal__quaddec_1gab136163486133a22e41b5d9a70f19eaf">cyhal_quaddec_connect_digital</ref>(<ref kindref="compound" refid="structcyhal__quaddec__t">cyhal_quaddec_t</ref><sp />*obj,<sp /><ref kindref="member" refid="group__group__hal__quaddec_1ga46260f3f241adbdd8453dbd9b6b94024">cyhal_quaddec_input_t</ref><sp />sig,</highlight></codeline>
<codeline lineno="285"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__impl__hw__types_1ga63b023ea7b5e73db59ddc0423c77975b">cyhal_resource_t</ref><sp />src_rsc,</highlight></codeline>
<codeline lineno="286"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__hal__results_1ga6df5063be354515111d4f0b83d6128fc">cyhal_signal_digital_out_t</ref><sp />src_sig);</highlight></codeline>
<codeline lineno="287"><highlight class="normal" /></codeline>
<codeline lineno="288"><highlight class="normal" /><highlight class="preprocessor">#if<sp />defined(__cplusplus)</highlight><highlight class="normal" /></codeline>
<codeline lineno="289"><highlight class="normal">}</highlight></codeline>
<codeline lineno="290"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="291"><highlight class="normal" /></codeline>
<codeline lineno="292"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />CYHAL_QUADDEC_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="293"><highlight class="normal" /><highlight class="preprocessor">#include<sp />CYHAL_QUADDEC_IMPL_HEADER</highlight><highlight class="normal" /></codeline>
<codeline lineno="294"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CYHAL_QUADDEC_IMPL_HEADER<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="295"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" />
  </compounddef>
</doxygen>